> ## Documentation Index
> Fetch the complete documentation index at: https://docs.contentignite.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /report/date-range

> Converts a date range preset into the dates it covers today, with the previous period used for comparisons



## OpenAPI

````yaml /openapi.json get /v1/report/date-range
openapi: 3.0.1
info:
  title: CI Public API
  description: >-
    # Introduction

    Welcome to the Content Ignite API. A central place for all Content Ignite
    functionality. 


    This API enforces a separation between function and form, meaning anything
    you can do in our platforms can be replicated in your own bespoke solution.


    # Authentication

    Authentication is handled via JWTs. You can retrieve your unique JSON Web
    Token from the settings page in the platform, which needs to be passed in
    with every request.

    To do this, simple include it in an Authorization header with the "Bearer"
    key word.


    Please contact support for help getting started.


    # Error Codes

    This is a fully RESTful API, so prepare for a number of different HTTP
    status codes.


    There is also a standard "success" field returned for each request. This
    boolean value can provide a first check against a response.


    # Rate limit

    We reserve the right to block requests if we deem a client to be abusing the
    API.
  version: 1.0.0
servers:
  - url: https://api.tagdeliver.com
    description: Production
security:
  - BearerAuth: []
tags:
  - name: Reporting
  - name: Reporting/Revenue Reports
  - name: Reporting/Experiment Reporting
  - name: Reporting/Campaign Reports
  - name: Reporting/Health Check
  - name: Reporting/Ads.txt
  - name: Reporting/Utility
  - name: Reporting/Insights Hub
  - name: Reporting/Insights Hub/SSP Insights
  - name: Reporting/Insights Hub/Core Web Vitals
  - name: Reporting/Insights Hub/Ads.txt Insights
  - name: Reporting/Insights Hub/Live Insights
  - name: Reporting/Insights Hub/Metrics
  - name: Reporting/Insights Hub/Diagnostics
  - name: Reporting/Insights Hub/Revenue Insights
  - name: Reporting/Insights Hub/Revenue Analytics
  - name: Reporting/Insights Hub/Demand Mix
  - name: Reporting/Insights Hub/Benchmarking
  - name: Organisation
  - name: Organisation/Organisation Meta
  - name: Organisation/Pricing
  - name: Ad Stack
  - name: Ad Stack/Integration
  - name: Publisher
  - name: Publisher/Publisher Stack
  - name: Publisher/Publisher Tag
  - name: Publisher/Publisher Meta
  - name: Publisher/Experiment
  - name: Publisher/Config (Ad unit)
  - name: Publisher/App Placement
  - name: AI
  - name: AI/Activity
  - name: Billing
  - name: Billing/Invoice
  - name: Audit Log
  - name: '[IN PROGRESS] Integration'
  - name: '[IN PROGRESS] Integration/Mapping'
  - name: '[IN PROGRESS] User'
  - name: '[IN PROGRESS] User/Account'
  - name: public
paths:
  /v1/report/date-range:
    get:
      tags:
        - Reporting/Utility
        - public
      summary: /report/date-range
      description: >-
        Converts a date range preset into the dates it covers today, with the
        previous period used for comparisons
      parameters:
        - name: range
          in: query
          description: >-
            The date range preset to convert. Preset ranges end yesterday.
            `month_to_date` is the current month so far and `week_to_date` is
            the current week so far. `custom` requires `start` and `end`
            (YYYY-MM-DD) and returns them as sent. Other values return a 400
            error
          required: false
          schema:
            type: string
            enum:
              - custom
              - all_time
              - seven_days
              - fourteen_days
              - thirty_days
              - three_months
              - six_months
              - week_to_date
              - month_to_date
              - quarter_to_date
              - year_to_date
              - last_week
              - last_month
              - last_quarter
              - last_year
              - month_on_month
              - quarter_on_quarter
              - yesterday
            default: yesterday
        - name: start
          in: query
          description: Start date when range=custom
          required: false
          schema:
            type: string
            format: date
        - name: end
          in: query
          description: End date when range=custom
          required: false
          schema:
            type: string
            format: date
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  results:
                    type: object
                    properties:
                      start:
                        type: string
                        format: date
                        description: >-
                          First day of the range (YYYY-MM-DD). 1970-01-01 for
                          all_time. For custom, the start value exactly as sent
                      end:
                        type: string
                        format: date
                        description: >-
                          Last day of the range (YYYY-MM-DD). Rolling and
                          to-date ranges end yesterday. For custom, the end
                          value exactly as sent
                      prevStart:
                        type: string
                        format: date
                        description: >-
                          First day of the previous period used for comparisons.
                          Null for all_time
                        nullable: true
                      prevEnd:
                        type: string
                        format: date
                        description: >-
                          Last day of the previous period. Null for all_time.
                          For to-date ranges it stops at the same point in the
                          previous week, month, quarter or year
                        nullable: true
                    required:
                      - start
                      - end
                      - prevStart
                      - prevEnd
                  success:
                    type: boolean
                required:
                  - results
                  - success
              example:
                results:
                  start: '2026-10-19'
                  end: '2026-10-22'
                  prevStart: '2026-10-12'
                  prevEnd: '2026-10-15'
                success: true
          headers: {}
      deprecated: false
      security:
        - BearerAuth: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.